Unschedule your post
POST /api/member/posts/{postId}/unschedule. Unschedule your post. Headless LMS Posts API reference.
Author only. The scheduled post becomes a draft and is not submitted at its time. 409 when the post is not scheduled.
Path Parameters
postId*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/member/posts/string/unschedule"{ "orgId": "string", "id": "string", "communityId": "string", "spaceId": "string", "orgUserId": "string", "topicId": "string", "title": "string", "body": "string", "extra": null, "coverAssetId": "string", "status": "draft", "scheduledAt": "2019-08-24T14:15:22Z", "publishedAt": "2019-08-24T14:15:22Z", "removedBy": "string", "pinned": true, "commentsClosed": true, "reactionsEnabled": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "coverUrl": "string", "assets": { "property1": { "url": "string", "kind": "image", "filename": "string", "size": 0 }, "property2": { "url": "string", "kind": "image", "filename": "string", "size": 0 } }, "author": { "id": "string", "firstName": "string", "lastName": "string", "displayName": "string", "headline": "string", "image": "string", "imageAssetId": "string", "imageUrl": "string", "team": true, "roleName": "string" }, "reactions": { "property1": 0, "property2": 0 }, "viewerReaction": "string", "commentCount": 0, "subscription": { "state": "following", "mutedUntil": "2019-08-24T14:15:22Z" }, "bookmarked": true, "mentions": [ { "orgUserId": "string", "name": "string" } ]}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Schedule your post POST
POST /api/member/posts/{postId}/schedule. Schedule your post. Headless LMS Posts API reference.
Publish a post that awaits review in a space you moderate POST
POST /api/member/posts/{postId}/approve. Publish a post that awaits review in a space you moderate. Headless LMS Posts API reference.